% User Guide for the Getting Started maps

## Overview
These getting started levels were the original levels I created for the game and are simplistic compared to maps others have created.
Their simplicity makes them good for new players.  The units, terrain and basic game mechanics are well documented below.
Some game mechanics can be changed by map creators, such as having points different from HP, MP, and AP.
So be aware of this when you move to a new map pack.
Each of the map packs can have their own user guide which is different than the user guide accessible from the main menu.
If you haven't checked out the main menu user guide you should do that now to see the list of keys available for all maps.

## Keys specific to this map pack
The keys listed here are hot keys for using the skills of the unit on the currently selected tile.
Be sure to check out the main menu user guide for the complete list of keys.

* shift + arrow keys = move the current unit.
* A = Attack
* D = Defend
* W = Flaming weapon
* B = Blaze
* F = Fireball
* H = Distant Heal
* T = Healing Touch
* E = Speed
* O = Slow
* T = Stun

## Basics
Each unit has action points, at the beginning of a players turn their units' AP is restored.
Each action a unit performs consumes action points.
When the player has used all their action points or does not want to perform any more actions on their turn they can press escape to go to the battle menu and activate the end turn item.
The hot key for ending your turn is control + E.

Note MP is the same as mana, HP is the same as health and AP is the same as actions.
Every unit can perform the following skills.

* Move, allows the unit to change their position on the map, costs 2 AP per space moved.
* Attack, allows the unit to deal damage to an enemy unit, costs 3 AP, all units can only attack 1 space away except for the archer.
* Defend, allows the unit to assume a defensive stance.  In this stance it will take 1 less damage from all physical attacks.  Lasts until the players next turn.  Costs 2 AP.

Note that you count spaces vertically or horizontally, i.e. it costs 2 moves to move diagonal one space.
Additionally it works the same when calculating distance to see if the target is in range.

## Terrain
* Hills, increases range by 1 for an attack or skill with a range 2 or greater for the unit standing on the hill.
* Boulders and rivers, stop units from walking on or through the tile.
* Fords, are portions of rivers that can be moved through normally.

## Character classes
All units have these basic attributes unless otherwise stated.

* 20 health (the amount of damage a unit can take before dieing)
* All units deal 2 attack damage except archers, warriors and rogues.
* Spell casters have 20 MP
* All units have 6 AP.
* Most skills and spells cost 3 AP unless otherwise specified.

### Warrior
Warriors have 30 health which is more than any other unit.
They deal 4 damage with their regular attack.
They have the Armor passive skill which reduces all physical damage taken by 1.
Note that damage taken by a single attack can never be reduced to 0.

### Archer
Archers have a range of 3 whereas all other units have a single space range.
Archers deal 4 damage with their attack.

### Healer
Healers have the following spells:

* Healing Touch, heals a friendly unit for 12 HP, range 1, costs 2 MP.
* Distant Heal, heals a friendly unit for 9 HP, range 3, costs 2 MP.

### Fire Mage
Fire mages have the following spells:

* Flaming Weapon, can be cast on a friendly unit increasing their damage by 1 for 3 rounds, range 3, costs 1 mana.
* Blaze, causes the target square to blaze with a wall of fire for 5 rounds, any character who occupied a blaze square at the end of their turn or when cast will take 4 damage, blaze does not stack, range 3, costs 2 mana.
* Fireball, deals 7 damage to the target and 5 damage to all adjacent characters regardless of whether they are friendly or enemy, can be cast on empty squares, range 3, costs 3 mana and 4 action points.

### Witch
Witches have the following spells:

* Speed, reduces AP cost of all actions the target performs by 1, lasts 3 rounds, range 3, costs 3 MP.
* Slow, increases AP cost of all actions the target performs by 1, lasts 3 rounds, range 3, costs 2 MP.
* Stun, causes target to miss their next turn, range 3, costs 3 MP.

## Creating your own maps
When you've finished having loads of fun playing the maps in the game you should try your hand at creating your own maps.
My new focus with Tactical Battle is to make it easy for map creators to make extremely customizable maps.
I am amazed at the creativity that exists in the Tactical Battle player community and want to see that creativity have an outlet in this game.
To learn more about creating your own maps open the main menu user guide.

Good luck and I hope to hear about the maps you're creating soon.

Written by Ian Reed
